<panel>

  <layout class="stick_to_sides_attachment" alignment="all" layout_children="true" inset="0"/>

  <container>
    <layout class="stick_to_sides_attachment" alignment="top" layout_children="true" inset="0"/>
    <layout class="arrange_horizontal_attachment" layout="30, -2, -5, 10, 15, 15, 15, 5, 320" offset="0" gap="0"/>

    <!-- calendar icon -->
    <container>
      <attachment class="test_global_attachment" get_property="mgrf" mode="0" value="1" set_property="hidn"/>
      <attachment class="test_global_attachment" get_property="mgrf" mode="0" value="3" set_property="hidn"/>

      <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>

      <widget class="icon_button" id="cali" show_border="false" icon="icons/quick links/calendar/button" width="30" auto_size="vertical">
        <string id="hint" value="Calendar[COMMENT: quick link icon hint]" />
        <event id="click_event">
          <flags id="event_id" value="GCCA"/>
          <flags id="event_target" value="scrn"/>
        </event>
      </widget>
    </container>

    <widget class="table" id="ttlt" layout="-1" box_style="thin_border, transparent" fixed_size_rows="false" auto_size_rows="false" height="25"/>

    <container class="horizontal_adaptive_container" id="tltb" mode="distribute_equally" inset="0" offset="0" gap="0">
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>
      
      <widget class="timeline_day_button" id="day1" priority="1" width="135" height="25"/>
      <widget class="timeline_day_button" id="day2" priority="2" width="135" height="25"/>
      <widget class="timeline_day_button" id="day3" priority="3" width="135" height="25"/>
      <widget class="timeline_day_button" id="day4" priority="4" width="135" height="25"/>
      <widget class="timeline_day_button" id="day5" priority="5" width="135" height="25"/>
      <widget class="timeline_day_button" id="day6" priority="6" width="135" height="25"/>
    </container>

    <attachment class="test_global_attachment" get_property="mgrf" mode="0" value="1" set_property="hidn"/>
    <attachment class="test_global_attachment" get_property="mgrf" mode="0" value="3" set_property="hidn"/>

    <widget class="icon_button" id="dtlf" click_event="prDt" show_border="false" icon="interface/calendarbar/back">
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="3"/>
      <layout class="arrange_horizontal_attachment" alignment="right"/>
    </widget>

    <widget class="icon_button" id="dtrs" hint="Reset Calendar Timeline [COMMENT: Button label to reset timeline to todays date]" click_event="rsDt" show_border="false"  icon="interface/calendarbar/today">
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="3"/>
      <layout class="arrange_horizontal_attachment" alignment="right"/>
    </widget>

    <widget class="icon_button" id="dtrt" click_event="nxDt" show_border="false" icon="interface/calendarbar/forward">
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="3"/>
      <layout class="arrange_horizontal_attachment" alignment="right"/>
    </widget>

    <container/>

    <container>
    </container>
  </container>

</panel>
